STDBUF(1)

NAAM
stdbuf - voor commando uit, met aangepaste buffer operaties van zijn standaard stromen

SAMENVATTING
stdbuf OPTIE... COMMANDO

BESCHRIJVING

voor COMMAND uit, met aangepaste buffer operaties van zijn standaard stromen

Een verplicht argument bij een lange optie is ook verplicht voor de korte optie.

-i, --input=MODUS
    de standaard invoer buffering aanpassen

-o, --output=MODUS
    de standaard uitvoer buffering aanpassen

-e, --error=MODUS
    de standaard fout, stderr, buffering aanpassen

--help
    toon de helptekst en stop

--version
    toon programmaversie en stop

Als MODUS 'L' is, zal de overeenkomende stroom regel gebufferd zijn. Deze modus is ongeldig voor standaard invoer.

Als MODUS '0' is, zal de overeenkomstige stroom ongebufferd zijn.

Otherwise MODE is a number which may be followed by one of the following: KB 1000, K 1024, MB 1000*1000, M 1024*1024, and so on for G,T,P,E,Z,Y,R,Q. Binary prefixes can be used, too: KiB=K, MiB=M, and so on. In this case the corresponding stream will be fully buffered with the buffer size set to MODE bytes.

OPMERKING: Als COMMANDO de buffering van zijn standaard stromen aanpast (zoals bijvoorbeeld 'tee' doet), dan zal dat de overeenkomstige instellingen die zijn gewijzigd door 'stdbuf' overvleugelen. Ook sommige filters (zoals 'dd', 'cat', enzovoort) gebruiken geen stromen voor invoer/uitvoer, en worden dus niet beïnvloed door instellingen van 'stdbuf'.

  De afsluitwaarde is:

125 if the stdbuf command itself fails

126 als COMMANDO werd gevonden maar niet kan worden aangeroepen

127 Als COMMANDO niet werd gevonden

-   de beëindigings status van COMMANDO anders

VOORBEELDEN
tail -f access.log | stdbuf -oL cut -d ' ' -f1 | uniq
Dit zal onmiddellijk unieke items van access.log tonen

BUGS
Op GLIBC platformen, zal het specificeren van een buffer grootte, m.a.w. gebruikmakend van de volledig gebufferde modus, resulteren in een ongedefinieerde operatie.

AUTEUR
Geschreven door Padraig Brady.

RAPPORTEREN VAN BUGS
Online hulp bij GNU coreutils: <https://www.gnu.org/software/coreutils/>
Meld alle vertaalfouten op <https://translationproject.org/team/nl.html>

COPYRIGHT
Copyright © 2023 Free Software Foundation, Inc. Licentie GPLv3+: GNU GPL versie 3 of later <https://gnu.org/licenses/gpl.html>.
Dit is vrije software: u mag het vrijelijk wijzigen en verder verspreiden. Deze software kent GEEN GARANTIE, voor zover de wet dit toestaat.

ZIE OOK
Volledige documentatie op: <https://www.gnu.org/software/coreutils/stdbuf>
of lokaal via: info '(coreutils) stdbuf invocation'

VERTALING
De Nederlandse vertaling van deze handleiding is geschreven door Mario Blättermann <mario.blaettermann@gmail.com> en Luc Castermans <luc.castermans@gmail.com>

Deze vertaling is vrije documentatie; lees de GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) of later over de Copyright-voorwaarden. Er is geen AANSPRAKELIJKHEID.

Indien U fouten in de vertaling van deze handleiding zou vinden, stuur een e-mail naar debian-l10n-dutch@lists.debian.org.